<?xml version="1.0" encoding="Windows-1252" ?>
<XML_DIZ_INFO>
<MASTER_PAD_VERSION_INFO>
    <MASTER_PAD_VERSION>1.10</MASTER_PAD_VERSION>
    <MASTER_PAD_INFO>Portable Application Description, or PAD for short, is a data set that is used by shareware authors to disseminate information to anyone interested in their software products. To find out more go to http://www.asp-shareware.org/pad</MASTER_PAD_INFO>
</MASTER_PAD_VERSION_INFO>
<Company_Info>
        <Company_Name>SENS Software LLC</Company_Name>
        <Address_1>P.O.Box 605</Address_1>
        <Address_2 />
        <City_Town>Feasterville</City_Town>
        <State_Province>PA</State_Province>
        <Zip_Postal_Code>19053-0605</Zip_Postal_Code>
        <Country>US</Country>
        <Company_WebSite_URL>http://www.comslicer.com</Company_WebSite_URL>
<Contact_Info>
        <Author_First_Name>Serguei</Author_First_Name>
        <Author_Last_Name>Pavlichine</Author_Last_Name>
        <Author_Email>spavlichine@senssoftware.com</Author_Email>
        <Contact_First_Name>Serguei</Contact_First_Name>
        <Contact_Last_Name>Pavlichine</Contact_Last_Name>
        <Contact_Email>spavlichine@senssoftware.com</Contact_Email>
    </Contact_Info>
<Support_Info>
        <Sales_Email>sales@comslicer.com</Sales_Email>
        <Support_Email>support@comslicer.com</Support_Email>
        <General_Email>support@comslicer.com</General_Email>
        <Sales_Phone>215-355-1963</Sales_Phone>
        <Support_Phone>215-355-1963</Support_Phone>
        <General_Phone>215-355-1963</General_Phone>
        <Fax_Phone />
    </Support_Info>
</Company_Info>
<Program_Info>
        <Program_Name>COMslicer</Program_Name>
        <Program_Version>1.0</Program_Version>
        <Program_Release_Month>04</Program_Release_Month>
        <Program_Release_Day>07</Program_Release_Day>
        <Program_Release_Year>2001</Program_Release_Year>
        <Program_Cost_Dollars>100</Program_Cost_Dollars>
        <Program_Cost_Other />
        <Program_Type>Shareware</Program_Type>
        <Program_Release_Status>New Release</Program_Release_Status>
        <Program_Install_Support>Install and Uninstall</Program_Install_Support>
        <Program_OS_Support>Win98,WinME,WinNT 4.x,Windows2000</Program_OS_Support>
        <Program_Language>English</Program_Language>
        <Program_Change_Info />
        <Program_System_Requirements>MSVBVM60.DLL, MSCOMCTL.OCX and MFC42.DLL should be present</Program_System_Requirements>
        <Program_Specific_Category>Development Tools</Program_Specific_Category>
        <Program_Categories>Programmer&apos;s Utilities, ActiveX/COM, Debugging</Program_Categories>
<File_Info>
        <Filename_Versioned>COMslc10.zip</Filename_Versioned>
        <Filename_Previous />
        <Filename_Generic>COMslc.zip</Filename_Generic>
        <Filename_Long>COMslicer.zip</Filename_Long>
        <File_Size_Bytes>1320503</File_Size_Bytes>
        <File_Size_K>1289</File_Size_K>
        <File_Size_MB>1.25</File_Size_MB>
    </File_Info>
<Expire_Info>
        <Has_Expire_Info>Y</Has_Expire_Info>
        <Expire_Count>30</Expire_Count>
        <Expire_Based_On>Days</Expire_Based_On>
        <Expire_Other_Info>After 30 days trial must be registered at www.comslicer.com</Expire_Other_Info>
        <Expire_Month />
        <Expire_Day />
        <Expire_Year />
    </Expire_Info>
        <Includes_JAVA_VM>N</Includes_JAVA_VM>
        <Includes_VB_Runtime>N</Includes_VB_Runtime>
        <Includes_DirectX>N</Includes_DirectX>
</Program_Info>
<Program_Descriptions>
<English>
        <Keywords>ActiveX, COM, component, trace, track, debug, hook, COMslicer, runtime, call, tool, utility</Keywords>
        <Char_Desc_45>Traces ActiveX/COM object runtime calls.</Char_Desc_45>
        <Char_Desc_80>Traces ActiveX/COM object runtime calls, displays values of input/output params.</Char_Desc_80>
        <Char_Desc_250>COMslicer traces run time calls to selected COM objects. It displays values of input and output parameters for each method or properties being called by the client. COMslicer can trace COM components written in VC++, VB or VJ++ languages.</Char_Desc_250>
        <Char_Desc_450>COMslicer traces run time calls to selected COM objects. It displays values of input and output parameters for each method or properties being called by the client. COMslicer can trace COM components written in VC++, VB or VJ++ languages. A developer&apos;s efforts are not needed to use COMslicer - it does not require inserting any additional code into the source code or building a debug version of COM component.</Char_Desc_450>
        <Char_Desc_2000>COMslicer helps to develop reliable COM components and ActiveX controls (ActiveX is a technology built on COM). It traces all run time calls to selected COM objects. COMslicer displays values of input and output parameters for each method or properties being called by the client. It also displays such events as creating/destroying of COM objects and loading/unloading of DLLs that contain selected COM components. Debugging and testing of COM components with COMslicer facilitates resolving of problems that cannot be traced in a static debugger environment. In a real word run time environment COM components can be exploited in a way that is unexpected for developers. Observing the behavior of COM objects allows to realize sources of errors or potential problems. COMslicer can trace COM components written in VC++, VB or VJ++ languages. A developer&apos;s efforts are not needed to use COMslicer - it does not require inserting any additional code into the source code or building a debug version of COM component. COMslicer uses only type library information that is usually automatically included into DLL that contains COM component.
Main features of COMslicer:
- COMslicer displays all calls made by client(s) to selected COM objects in real time;
- COMslicer&apos;s Explorer-like user interface allows browsing of displayed trace;
- COMslicer keeps track of COM objects&apos; referencing and creates report about used interfaces after objects are destroyed;
- COMslicer can trace COM components written in any language with no efforts required from the developer.</Char_Desc_2000>
</English>
</Program_Descriptions>
<Web_Info>
<Application_URLs>
        <Application_Info_URL>http://www.comslicer.com/</Application_Info_URL>
        <Application_Order_URL>http://www.comslicer.com/TryRegister.htm</Application_Order_URL>
        <Application_Screenshot_URL>http://www.comslicer.com/images/MainShot.gif</Application_Screenshot_URL>
        <Application_Icon_URL>http://www.comslicer.com/pad/COMslicer.gif</Application_Icon_URL>
        <Application_XML_File_URL>http://www.comslicer.com/pad/pad_file.xml</Application_XML_File_URL>
    </Application_URLs>
<Download_URLs>
        <Primary_Download_URL>http://www.comslicer.com/COMslc10.zip</Primary_Download_URL>
        <Secondary_Download_URL />
        <Additional_Download_URL_1 />
        <Additional_Download_URL_2 />
    </Download_URLs>
</Web_Info>
<Permissions>
        <Distribution_Permissions>The  trial  version of COMslicer can be freely distributed and 
installed on any number of computers. The distribution form (ZIP 
file) must be exactly the same as downloaded from www.comslicer.com.</Distribution_Permissions>
        <EULA>Trial Version:
After a 30 day trial period the trial version must be registered.
The trial version should not be installed a second time by the same 
person.

Registered Version:
One registered copy of COMslicer may be used by a single person 
who uses the software personally on one or more computers.</EULA>
</Permissions>
<Simtel.Net>
    <Simtel.net_FORM>Y</Simtel.net_FORM>
    <Simtel.Net_DOS_Category>Select - MS-DOS Platform</Simtel.Net_DOS_Category>
    <Simtel.Net_Win31_Category>Select - Win3 Platform</Simtel.Net_Win31_Category>
    <Simtel.Net_WinXX_Category>Programming - prog Programming Utilities</Simtel.Net_WinXX_Category>
    <Simtel.Net_Category>Programming - Debuggers</Simtel.Net_Category>
    <Simtel.Net_FTPCDROM_DISTRIBUTE_ON_CDROM>Y</Simtel.Net_FTPCDROM_DISTRIBUTE_ON_CDROM>
</Simtel.Net>
</XML_DIZ_INFO>
